import request from '@/utils/request'

// 查询通道管理列表
export function listChannelNumber(query) {
  return request({
    url: '/manage/channelNumber/list',
    method: 'get',
    params: query
  })
}

// 查询通道管理列表
export function listChannelNumbernopa(query) {
  return request({
    url: '/manage/channelNumber/listNoPage',
    method: 'get',
    params: query
  })
}



// 查询通道管理详细
export function getChannelNumber(channelId) {
  return request({
    url: '/manage/channelNumber/' + channelId,
    method: 'get'
  })
}

// 新增通道管理
export function addChannelNumber(data) {
  return request({
    url: '/manage/channelNumber',
    method: 'post',
    data: data
  })
}
// 查询通道管理详细
export function deptTreec(query) {
  return request({
    url: '/manage/channelNumber/deptTree' ,
    method: 'get',
     params: query
  })
}


// 修改通道管理
export function updateChannelNumber(data) {
  return request({
    url: '/manage/channelNumber/put',
    method: 'post',
    data: data
  })
}

// 删除通道管理
export function delChannelNumber(channelId) {
  return request({
    url: '/manage/channelNumber/delete/' + channelId,
    method: 'get'
  })
}
